/*
 * Class EV_TEXT_RICH_ALIGNMENT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_317 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_317 [] = {0xFF01,1551,316,0xFFFF};
static const EIF_TYPE_INDEX egt_2_317 [] = {0xFF01,316,0xFFFF};
static const EIF_TYPE_INDEX egt_3_317 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_317 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_317 [] = {0xFF01,316,0xFFFF};
static const EIF_TYPE_INDEX egt_6_317 [] = {0xFF01,316,0xFFFF};
static const EIF_TYPE_INDEX egt_7_317 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_317 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_317 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_317 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_317 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_317 [] = {0xFF01,316,0xFFFF};


static const struct desc_info desc_317[] = {
	{EIF_GENERIC(NULL), 6160, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_317), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_317), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_317), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_317), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_317), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_317), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_317), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_317), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_317), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_317), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_317), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_317), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0279 /*316*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_317), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6146, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6147, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6148, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6149, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6150, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6151, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6152, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6153, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6154, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6155, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6158, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6161, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6162, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6167, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6170, 0xFFFFFFFF},
};
void Init317(void)
{
	IDSC(desc_317, 0, 316);
	IDSC(desc_317 + 1, 1, 316);
	IDSC(desc_317 + 32, 77, 316);
	IDSC(desc_317 + 45, 1438, 316);
}


#ifdef __cplusplus
}
#endif
